/* $Id$

This file is part of libmspgl
Copyright © 2007  Mikko Rasa, Mikkosoft Productions
Distributed under the LGPL
*/

#ifndef MSP_GL_TEXTURE2D_H_
#define MSP_GL_TEXTURE2D_H_

#include <string>
#include "texture.h"

namespace Msp {
namespace GL {

class Texture2D: public Texture
{
public:
	Texture2D();
	void image(int, int, sizei, sizei, int, GLenum, GLenum, void *);
	void image(int, sizei, sizei, TextureFormat, void *);
	void image(const std::string &);
	sizei get_width() const  { return width_; }
	sizei get_height() const { return height_; }
private:
	sizei width_;
	sizei height_;
};

} // namespace GL
} // namespace Msp

#endif
